diff --git a/src/opengl.c b/src/opengl.c
index 1e956be4..40945cba 100644
--- a/src/opengl.c
+++ b/src/opengl.c
@@ -245,6 +245,7 @@ void glx_destroy(session_t *ps) {
 
 	// Destroy GLX context
 	if (ps->psglx->context) {
+		glXMakeCurrent(ps->dpy, None, NULL);
 		glXDestroyContext(ps->dpy, ps->psglx->context);
 		ps->psglx->context = NULL;
 	}
